import { BaseEnemyBullet } from "./BaseEnemyBullet";
import { getTexture } from "../utils";
export class SmallBullet extends BaseEnemyBullet{
    constructor(x:number,y:number,speed:number,vector:engine.Point){
        super();
        this.x = x;
        this.y = y;
        this.speedX = this.speedY = speed;
        this.speedVector = vector;
    }

    addToViewPort(){
        super.addToViewPort();
        this.bodyImg.texture = getTexture("e595af59-4023-4363-823c-acf0f1436e00");
        this.bodyImg.x = -this.bodyImg.width>>1;
        this.bodyImg.y = -this.bodyImg.height>>1;
    }

    updateSelf(){
        super.updateSelf();
    }
}
